Bug 105103 - Wayland master causes Mesa to fail to compile
Summary: Wayland master causes Mesa to fail to compile
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: EGL/Wayland (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: Wayland bug list
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-14 23:19 UTC by n3rdopolis
Modified: 2018-02-16 14:32 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description n3rdopolis 2018-02-14 23:19:18 UTC
I think it might be due to the latest wayland-egl commits... ...but I'm not sure if this is something that Mesa would need to update first... ...or if it's unintentional 
I get this output: 

  CC       drivers/dri2/platform_x11_dri3.lo
drivers/dri2/platform_wayland.c: In function ‘dri2_wl_create_window_surface’:
drivers/dri2/platform_wayland.c:293:21: error: ‘struct wl_egl_window’ has no member named ‘private’
    dri2_surf->wl_win->private = dri2_surf;
                     ^~
drivers/dri2/platform_wayland.c: In function ‘dri2_wl_destroy_surface’:
drivers/dri2/platform_wayland.c:379:24: error: ‘struct wl_egl_window’ has no member named ‘private’
       dri2_surf->wl_win->private = NULL;
                        ^~
Makefile:1153: recipe for target 'drivers/dri2/platform_wayland.lo' failed
make[4]: *** [drivers/dri2/platform_wayland.lo] Error 1
make[4]: *** Waiting for unfinished jobs....
make[4]: Leaving directory '/srcbuild/mesa/src/egl'
Makefile:960: recipe for target 'all' failed
make[3]: *** [all] Error 2
make[3]: Leaving directory '/srcbuild/mesa/src/egl'
Makefile:863: recipe for target 'all-recursive' failed
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory '/srcbuild/mesa/src'
Makefile:654: recipe for target 'all' failed
make[1]: *** [all] Error 2
make[1]: Leaving directory '/srcbuild/mesa/src'
Makefile:667: recipe for target 'all-recursive' failed
make: *** [all-recursive] Error 1
PackageCompileSource finished in 321 seconds
Comment 1 Daniel Stone 2018-02-15 09:23:47 UTC
Ugh. This should fix it:
https://patchwork.freedesktop.org/patch/204873/
Comment 2 n3rdopolis 2018-02-15 12:47:03 UTC
That works!
Comment 3 Daniel Stone 2018-02-16 14:32:24 UTC
Fixed now in Mesa master, and patch is tagged for backporting to 17.3.x and 18.0.0.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.